'use strict';

var _require = require('./call'),
    call = _require.call;

var _require2 = require('assert'),
    deepEqual = _require2.deepEqual;

describe('call.js', function () {
  describe('#call', function () {
    it('should return a call cmd', function () {
      var fn = regeneratorRuntime.mark(function fn() {
        return regeneratorRuntime.wrap(function fn$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
              case 'end':
                return _context.stop();
            }
          }
        }, fn, this);
      });
      var a = call(fn, 'foo', 'bar');
      deepEqual(a, {
        type: 'call',
        args: ['foo', 'bar'],
        fn: fn
      });
    });
  });
});
//# sourceMappingURL=call.spec.js.map