"use strict";

var defaultHeaders = {
  "Content-Type": "application/json;charset=UTF-8"
};

function httpGet(url) {
  var headers = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  return {
    type: "httpGet",
    url: url,
    headers: headers,
    options: options
  };
}

function httpPost(url, payload) {
  var headers = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var options = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};

  return {
    type: "httpPost",
    url: url,
    payload: payload,
    headers: Object.assign({}, defaultHeaders, headers),
    options: options
  };
}

function httpPut(url, payload) {
  var headers = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var options = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};

  return {
    type: "httpPut",
    url: url,
    payload: payload,
    headers: Object.assign({}, defaultHeaders, headers),
    options: options
  };
}

function httpDelete(url) {
  var headers = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  return {
    type: "httpDelete",
    url: url,
    headers: headers,
    options: options
  };
}

module.exports = {
  httpPost: httpPost,
  httpPut: httpPut,
  httpGet: httpGet,
  httpDelete: httpDelete
};
//# sourceMappingURL=http.js.map