'use strict';

var _require = require('./state'),
    getState = _require.getState,
    setState = _require.setState;

var _require2 = require('assert'),
    deepEqual = _require2.deepEqual;

describe('state.js', function () {
  describe('getState()', function () {
    it('should return a getState cmd with a key field', function () {
      var expected = {
        type: 'getState',
        path: 'foo'
      };

      var actual = getState('foo');

      deepEqual(actual, expected);
    });
  });

  describe('setState()', function () {
    it('should return a setState cmd with a key and payload field', function () {
      var expected = {
        type: 'setState',
        payload: { foo: 'bar' },
        path: 'baz'
      };

      var actual = setState('baz', { foo: 'bar' });

      deepEqual(actual, expected);
    });
  });
});
//# sourceMappingURL=state.spec.js.map