'use strict';

var _require = require('./call'),
    call = _require.call;

var _require2 = require('sinon'),
    stub = _require2.stub;

var cmds = require('../cmds');

test('call handler should run command', function () {
  var callStub = stub().returns(Promise.resolve('foo'));
  var cmd = cmds.call(regeneratorRuntime.mark(function _callee() {
    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }), 1, 2);
  var config = { name: 'testfn' };
  var handlers = { test: function test() {
      return 'bar';
    } };
  return call(cmd, { config: config, call: callStub, handlers: handlers }).then(function (result) {
    expect(callStub.firstCall.args[0]).toEqual(config);
    expect(callStub.firstCall.args[1]).toEqual(handlers);
    expect(callStub.firstCall.args[2]).toEqual(cmd.fn);
    expect(callStub.firstCall.args[3]).toEqual(1);
    expect(callStub.firstCall.args[4]).toEqual(2);
    expect(result).toEqual('foo');
  });
});
//# sourceMappingURL=call.spec.js.map