'use strict';

var _require = require('./log'),
    logInfoFn = _require.logInfoFn,
    logErrorFn = _require.logErrorFn;

var cmds = require('../cmds');

var _require2 = require('assert'),
    deepEqual = _require2.deepEqual;

describe('log.js', function () {
  describe('logInfo()', function () {
    it('should console.info() the payload', function () {
      var cmd = cmds.logInfo(123);
      var payload = null;
      var consoleLogInfo = function consoleLogInfo(p) {
        payload = p;
      };
      var expected = 123;
      logInfoFn(consoleLogInfo, cmd);
      var actual = payload;
      deepEqual(actual, expected);
    });
  });

  describe('logError()', function () {
    it('should console.error the payload', function () {
      var cmd = cmds.logError(123);
      var payload = null;
      var consoleLogError = function consoleLogError(p) {
        payload = p;
      };
      var expected = 123;
      logErrorFn(consoleLogError, cmd);
      var actual = payload;
      deepEqual(actual, expected);
    });
  });
});
//# sourceMappingURL=log.spec.js.map