'use strict';

var _require = require('./retry'),
    retry = _require.retry;

var cmds = require('../cmds');

test('retry', function () {
  var durations = [10, 20, 30];
  var count = 0;
  var call = function call(config, handlers, fn) {
    var g = fn();
    g.next();
    count++;
    var e = new Error('foo');
    var v = void 0;
    try {
      v = g.throw(e);
    } catch (e2) {
      return Promise.reject(e);
    }
    return Promise.resolve(v.value);
  };
  var cmd = cmds.retry(cmds.echo('foo'), durations, 'default');
  return retry(cmd, { call: call }).then(function (r) {
    expect(r).toEqual('default');
  });
});
//# sourceMappingURL=retry.spec.js.map