'use strict';

var _require = require('object-path'),
    get = _require.get,
    set = _require.set;

function getGlobal() {
  var g = void 0;
  if (typeof window !== 'undefined') {
    g = window;
  } else {
    g = global;
  }
  return g;
}

function getGlobalState() {
  var g = getGlobal();
  g.effectsAsDataState = g.effectsAsDataState || {};
  return g.effectsAsDataState;
}

function setGlobalState(payload) {
  var g = getGlobal();
  g.effectsAsDataState = Object.assign({}, g.effectsAsDataState, payload);
}

function getState(_ref) {
  var path = _ref.path;

  return get(getGlobalState(), path);
}

function setState(_ref2) {
  var path = _ref2.path,
      payload = _ref2.payload;

  return set(getGlobalState(), path, payload);
}

module.exports = {
  getState: getState,
  setState: setState,
  getGlobalState: getGlobalState
};
//# sourceMappingURL=state.js.map