'use strict';

var _require = require('./state'),
    getState = _require.getState,
    setState = _require.setState,
    getGlobalState = _require.getGlobalState;

var cmds = require('../cmds');

var _require2 = require('assert'),
    deepEqual = _require2.deepEqual;

describe('state.js', function () {
  describe('getState()', function () {
    it('should return values from state represented by keys', function () {
      var cmd = cmds.getState('foo');
      global.effectsAsDataState = {
        foo: 1
      };
      var expected = 1;
      var actual = getState(cmd);
      deepEqual(actual, expected);
    });
  });

  describe('setState()', function () {
    it('should return values from state represented by keys', function () {
      var foo = Date.now();
      var cmd = cmds.setState('foo', foo);
      setState(cmd);
      var expected = foo;
      var actual = getGlobalState().foo;
      deepEqual(actual, expected);
    });
  });
});
//# sourceMappingURL=state.spec.js.map